Ledger / Disbursement History

This API enable you to get transactions from certain interval and do transaction reconciliation in real time

📘

Environment for End Point URL

Please Replace the environment in the URL with:

When the environtment is sandbox, replace the {environment} with sandbox. so the URL will be https://sandbox.onebrick.io/v2/payments/gs

When the environment is production, replace the {environment} with api. so the URL will be https://api.onebrick.io/v2/payments/gs

Request parameters

Key ParametersData TypeDescription
publicAccessTokenStringOne time access-token generated using the auth token API
startDateDateStart date based on transaction created date. Format is YYYY-MM-DD
endDateDateEnd date based on transaction created date. Format is YYYY-MM-DD
statusStringcompleted or processing or pending or failed
searchStringLook for specific transaction ID or referenceId
pageIntegerWhich page of the data should be retrieved
sizeIntegerHow many records need to be retrieved per page. Maximum record is 2000 & default is 100 per page

Response parameters

Key ParametersData typeDescription
refIdStringReference ID given by end user
dateTimestampTransaction created date
accountHolderNameStringBeneficiary Account holder name
accountNumberIntegerBeneficiary Account number
bankNameStringBeneficiary bank name
descriptionStringDescription that filled related to fund transfer
amountBig DecimalTransaction amount
feesBig DecimalFees applied to Transaction
statusStringStatus of the transaction. either completed or processing or pending or failed
Query Params
date

From when the transaction should be retrieved. Format is YYYY-MM-DD

date

Until when the transaction should be retrieved. format is YYYY-MM-DD

string

Status of transaction. either completed or processing or pending or failed. always lower case

string

Look for specific transaction ID or referenceId

int32

Which page of the data should be retrieved

int32

how many records need to be retrieved per page. Maximum record is 2000 & default is 100 per page

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json